ghc-mod-5.7.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.Check

Synopsis

- checkSyntax :: IOish m => [FilePath] -> GhcModT m String
- check :: IOish m => [FilePath] -> GhcModT m (Either String String)
- expandTemplate :: IOish m => [FilePath] -> GhcModT m String
- expand :: IOish m => [FilePath] -> GhcModT m (Either String String)

# Documentation

checkSyntax #

Arguments

:: IOish m |
=> [FilePath] | The target files.
-> GhcModT m String |

Checking syntax of a target file using GHC. Warnings and errors are returned.

check #

Arguments

:: IOish m |
=> [FilePath] | The target files.
-> GhcModT m (Either String String) |

Checking syntax of a target file using GHC. Warnings and errors are returned.

expandTemplate #

Arguments

:: IOish m |
=> [FilePath] | The target files.
-> GhcModT m String |

Expanding Haskell Template.

expand :: IOish m => [FilePath] -> GhcModT m (Either String String) #

Expanding Haskell Template.